MontemaggiorePic.jpg=Possibly an old photo of Montemaggiore?
IggyMarieMillonzi.jpg=Iggy and Marie MIllonzi in the 1940s
CarmelaIdaIggyRosarioSarinaMillonzi.jpg=Carmela, Ida, Iggy, Rosario, and Sarina Millonzi (I hope to repair this photo someday soon)
GrampaRosarioMillonzi.jpg=Rosario Millonzi
Mario-RossRusso-MichaelMillonzi-GusRusso-IggyMillonzi-SonGreen-RussellMillonzi-JosephPalmeri.jpg=Left-to-Right: Unknown, Ross Russo (Ida's son), Michael MIllonzi (Iggy's son), Gus Russo (Ida's son), Iggy Millonzi, Unknown (Marie's nephew), Russell Millonzi (Iggy's son), Joseph Palmeri (my father)
Rosario-Millonzi-Carmela-Parisi-1920-to-US-1.jpg=manifest from Ellis Island when Carmela, Rosario, Sarina, and Iggy immigrated to the United States in 1920 (Ida was born in the US)
Jean Palmeri and Joseph Palmeri kids.jpeg=Jeanne Palmeri (my aunt) and Joseph Palmeri (my father), who went by "Sonny" well into adulthood
Montemaggiore-ParisiBrotherMayBeInBlackFrock.jpg=Gaetano Parisi, family, and members of the community in Montemaggiore
IdaMillonzi-RosarioMillonzi-IggyMillonzi-1934.jpg=Ida, Rosario, and Iggy MIllonzi from 1934
IdaMillonzi-SarinaMillonzi.jpg=Ida (Millonzi) Russo and Sarina (Millonzi) Palmeri
JosephPalmeri-DonnaPalmeri.jpg=Joseph Palmeri (my father) and Donna Palmeri (my mother)
CarmelaMillonzi-IdaMillonzi.jpg=Carmela (Parisi) Millonzi and Ida (Millonzi) Russo
SarinaMillonziPalmeri-DanielPalmeri-KristenPalmeri.jpg=Sarina Palmeri (my grandmother), Daniel Palmeri (my brother), and Kristen Palmeri (my sister)
DonaldBurke-HelenBurke-DonnaPalmeri-JosephPalmeri-SarinaPalmeri-JosephPalmeri.jpg=Donald Burke (my grandfather), Helene Burke (my grandmother), Donna (Burke) Palmeri (my mother), Joseph Palmeri (my father), Sarina Palmeri (my grandmother), Joseph Palmeri (my grandfather)
CarmelaParisiMillonzi001.jpg=Newspaper story from 1960s in Buffalo, NY
MichaelMarieCousinParisiAndUncleIggyMillonzi.jpg=Michael Millonzi, Marie Millonzi, Angelo Parisi, Iggy Millonzi at their home in Tonawanda, NY
